using System;

internal sealed class Delegate564 : MulticastDelegate
{
	public extern DateTime Invoke(string string_0);

	public static DateTime smethod_0(string string_0, Delegate564 delegate564_1)
	{
		return delegate564_1(string_0);
	}

	public extern Delegate564(object object_0, IntPtr intptr_0);

	static Delegate564()
	{
		Class10.smethod_13(typeof(Delegate564).TypeHandle);
	}

	internal static Delegate564 delegate564_0;
}
